Please note: This fix is outdated and not required anymore in the newest versions of Gaia & Ambient Skies

Applies to Gaia 2 / Gaia Pro Version: 2.2.0; Ambient Skies 1.6.1

Symptoms:


When installing Gaia in Version 2.2.0 alongside Ambient Skies Version 1.6.1, you see these or similar compilation error messages:

"Assets\Procedural Worlds\Ambient Skies\Scripts\Editor\AmbientSkiesEditorWindow.cs(11646,25): error CS0103: The name 'LightProbeUtils' does not exist in the current context"

"Assets\Procedural Worlds\Gaia\Scripts\Scene Management\Editor\GaiaSceneManagement.cs(635,25): error CS0246: The type or namespace name 'AutoDepthOfField' could not be found."

Cause:

This issue is caused by a file conflict between Ambient Skies and Gaia where the importer will overwrite files of Gaia when installing Ambient Skies, and vice versa.

Fix: 

An update for Ambient Skies Version 1.6.2 has been released that fixes this issue. It depends on the installation order what you need to do to fix this issue.

If you are currently NOT experiencing the error, install the update for Ambient Skies Version 1.6.2 first, then you will not run into this issue when installing Gaia 2 / Gaia Pro.

If you are experiencing the issue because you have Ambient Skies and Gaia installed in your project already, install the Ambient Skies Update over the existing Ambient Skies Installation first. Then reimport Gaia from the Asset Store Window / Package Manager. (It is sufficient to just reimport the package again, it is not necessary to delete any files / folder before. The process should be fairly quick since nearly all contents are part of the project already)

The Ambient Skies update is available in the Unity Asset Store / PW Store as a regular product update.